Package org.gradle.language.nativeplatform

## Interface ComponentWithRuntimeUsage

- All Superinterfaces:
    `ComponentWithNativeRuntime`, `Named`, `SoftwareComponent`
  All Known Subinterfaces:
    `CppExecutable`, `CppSharedLibrary`, `CppStaticLibrary`, `SwiftSharedLibrary`, `SwiftStaticLibrary`

      public interface ComponentWithRuntimeUsage
      extends ComponentWithNativeRuntime

  Represents a native component whose runtime file and dependencies are published for consumption by some other project.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Provider<Configuration>` | `getRuntimeElements()` | Returns the outgoing runtime elements of this component.

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

      `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getRuntimeElements

          Provider<Configuration> getRuntimeElements()

      Returns the outgoing runtime elements of this component.